Answer the care context discovery
Is invoked by the Hospital Management Information System (HMIS) or Laboratory Information Management System (LIMS) or HIP application to share the response of the /api/hiecm/user-initiated-linking/v3/patient/care-context/on-discover API.
It facilitates the communication of discovered health records back to the patient or user. By using this API, the HMIS/LIMS application ensures that the patient’s health information is accurately and promptly shared, supporting efficient and transparent health information exchange. This process is crucial for maintaining the integrity and continuity of patient care, enabling patients to have comprehensive access to their health records. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended Identifier of the health information user to which the request was intended UUID from discover request callback to track the entire user link flow A patient identifier with which patient is registered in the facility/hospital.Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. ()/:\\\\]{0,255}$" Display text for patient reference. Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \"':|()/]{0,255}$" List of care contexts linked at the HIP end for the identified patient. An identifier of patient's care context created in HIP. A care context is a group of patient's health data (Not the actual health data).Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. ()/:\\\\]{0,255}$" Display text for care context reference. Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \"':|()/]{0,255}$" The health information type One of The count should match the number of care contexts in the payload The error code and message, if any occurred. ABDM-9999 - Unknown exception. May be returned either bare ( The appropriate error message. Allows alpha numeric character and special characters like ^[a-zA-Z0-9_\-@,. ":]{0,255}$ The request id is from the /discover callback. Allows alpha numeric characters and special characters like "^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}" The request id that was passed Bad Request The error code and message, if any occurred. ABDM-1106 - Duplicate On discovery request. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error The error code and message, if any occurred. The request id from discover call back .Allows alpha numeric characters and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}"Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredX-HIU-IDstringRequiredBody
transactionIdstringRequiredpatientobject[]Requiredpatient.referenceNumberstringRequiredpatient.displaystringRequiredpatient.careContextsobject[]Requiredpatient.careContexts.referenceNumberstringRequiredpatient.careContexts.displaystringRequiredpatient.hiTypestringRequiredDiagnosticReportDischargeSummaryHealthDocumentRecordImmunizationRecordOPConsultationPrescriptionWellnessRecordInvoicepatient.countintegerRequiredmatchedBystring[]Requirederrorobjecterror.codestringRequiredABDM-9999) or with a trailing ": " separator (ABDM-9999: ); match on the code itself and tolerate the separator.error.messagestringRequiredresponseobjectRequiredresponse.requestIdstringRequiredResponses
400errorobjecterror.codestringRequirederror.messagestringRequired401codestringmessagestringdescriptionstring500timestampnumberRequiredpathstringRequiredstatusintegerRequirederrorstringRequiredrequestIdstringRequired
Callbacks
- You make this call in reply to This API endpoint is used to discover care contexts associated with a patient. It allows healthcare information providers (HIPs) to retrieve and manage patient care context information., which ABDM posts to
/api/v3/hip/patient/care-context/discover. Open the callback.